Bug 1902003 - Jobs Completions column is not sorting when there are "0 of 1" and "1 of 1" in the list.
Summary: Jobs Completions column is not sorting when there are "0 of 1" and "1 of 1" i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.8.0
Assignee: Steve Goodwin
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-26 15:03 UTC by Rejeeb
Modified: 2021-07-27 22:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The Jobs table completions column was sorting on the number of 'Desired' completions, instead of 'Succeeded' completions. Consequence: The data is presented as "# Succeeded of # Desired" so when sorting by that column the results looked confusing, since it was sorting on the second number. Fix: The Jobs completions column now sorts on the # Succeeded for better understanding. Result:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:34:25 UTC
Target Upstream Version:


Attachments (Terms of Use)
Descending Sort (5.65 KB, image/png)
2020-11-26 15:03 UTC, Rejeeb
no flags Details
Ascending Sort (6.48 KB, image/png)
2020-11-26 15:04 UTC, Rejeeb
no flags Details
Ascending sort working (91.55 KB, image/png)
2021-02-18 03:51 UTC, Yadan Pei
no flags Details
Descending sort working (91.81 KB, image/png)
2021-02-18 03:54 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7760 0 None closed Bug 1902003: Clarification of Jobs completions column data when sorting 2021-02-18 03:46:00 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:34:49 UTC

Description Rejeeb 2020-11-26 15:03:53 UTC
Created attachment 1733775 [details]
Descending Sort

Description of problem:
Jobs Completions column is not sorting when there are "0 of 1" and "1 of 1" in the list.

Version-Release number of selected component (if applicable):
Tested and Verified in OpenShift v4.4.27

How reproducible:
100%

Steps to Reproduce:
1. Open Administrator Panel and select Jobs sub-menu.
2. Try to sort the column using the `Completions` parameter.

Actual results:

If the Jobs Completions column contains "0 of 1" and "1 of 1" in the list, then the sorting is not having any effect.

Expected results:

We should be able to sort according to the completion.

Additional info:

Attaching the screenshot showing the same.

Comment 1 Rejeeb 2020-11-26 15:04:40 UTC
Created attachment 1733776 [details]
Ascending Sort

Comment 2 Jakub Hadvig 2020-12-23 16:19:41 UTC
We did not have time to fix this issue this sprint. Will reevaluate and try to fix in next sprint.

Comment 4 Yadan Pei 2021-02-18 03:51:29 UTC
Created attachment 1757688 [details]
Ascending sort working

Comment 5 Yadan Pei 2021-02-18 03:54:42 UTC
Created attachment 1757689 [details]
Descending sort working

Create two jobs which has `0 of 3` and `1 of 1` for Completion column, sorting works correctly now.

Verified on 4.8.0-0.nightly-2021-02-18-001523

Comment 8 errata-xmlrpc 2021-07-27 22:34:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.